Name:           maven-shade-plugin
Version:        3.3.0
Release:        %mkrel 1
Group:          Development/Java
Summary:        Maven plugin for packaging artifacts in an uber-jar
License:        ASL 2.0

URL:            https://maven.apache.org/plugins/%{name}
Source0:        https://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.shared:maven-artifact-transfer)
BuildRequires:  mvn(org.apache.maven.shared:maven-dependency-tree)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.jdom:jdom2)
BuildRequires:  mvn(org.mockito:mockito-all)
BuildRequires:  mvn(org.ow2.asm:asm)
BuildRequires:  mvn(org.ow2.asm:asm-commons)
BuildRequires:  mvn(org.vafer:jdependency)
BuildRequires:  mvn(xmlunit:xmlunit)
BuildRequires:  mvn(org.slf4j:slf4j-api)
BuildRequires:  mvn(javax.inject:javax.inject)
BuildRequires:  mvn(org.apache.commons:commons-collections4)
BuildRequires:  mvn(org.eclipse.sisu:sisu-maven-plugin)
BuildRequires:  mvn(org.sonatype.sisu:sisu-guice::no_aop:)
BuildRequires:  mvn(org.eclipse.sisu:org.eclipse.sisu.plexus)

%description
This plugin provides the capability to package the artifact in an
uber-jar, including its dependencies and to shade - i.e. rename - the
packages of some of the dependencies.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
%{summary}.

%prep
%setup -q

rm src/test/jars/plexus-utils-1.4.1.jar
ln -s $(build-classpath plexus/utils) src/test/jars/plexus-utils-1.4.1.jar

%pom_remove_dep 'org.eclipse.sisu:org.eclipse.sisu.inject:'

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE




%changelog
* Fri Dec 09 2022 daviddavid <daviddavid> 3.3.0-1.mga9
+ Revision: 1919758
- Bump version to 3.3.0

* Sat Mar 26 2022 umeabot <umeabot> 3.2.4-2.mga9
+ Revision: 1827528
- Mageia 9 Mass Rebuild

* Thu Sep 03 2020 daviddavid <daviddavid> 3.2.4-1.mga8
+ Revision: 1621318
- Update to version 3.2.4
- Rebuilt for JDK-11

* Sun Feb 16 2020 umeabot <umeabot> 3.2.1-2.mga8
+ Revision: 1536135
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 3.2.1-1.mga8
+ Revision: 1453316
- Update to version 3.2.1

* Wed Dec 12 2018 daviddavid <daviddavid> 3.1.1-2.mga7
+ Revision: 1340681
- use guava20

* Mon Dec 03 2018 daviddavid <daviddavid> 3.1.1-1.mga7
+ Revision: 1337906
- new version: 3.1.1 (sync with fc29)

* Wed Sep 19 2018 umeabot <umeabot> 2.4.3-4.mga7
+ Revision: 1264089
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 2.4.3-3.mga6
+ Revision: 1101402
- Rebuild maven-* packages

* Sun May 14 2017 neoclust <neoclust> 2.4.3-2.mga6
+ Revision: 1101080
- Rebuild with new asm5

* Wed May 10 2017 neoclust <neoclust> 2.4.3-1.mga6
+ Revision: 1100083
- New version 2.4.3
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.4.2-2.mga6
+ Revision: 977293
- First rebuild of the java stack
- sync package maven-shade-plugin with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 2.3-1.mga5
+ Revision: 807871
- Update BuildRequires
- Sync with Fedora 21 (update to 2.3)

* Wed Oct 15 2014 umeabot <umeabot> 2.1-4.mga5
+ Revision: 751241
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 2.1-2.mga4
+ Revision: 541877
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 2.1-1.mga4
+ Revision: 487955
- New version

* Wed Jul 10 2013 dmorgan <dmorgan> 2.0-1.mga4
+ Revision: 452640
- New version
- Install NOTICE file with javadoc package

* Sat Jan 12 2013 umeabot <umeabot> 1.7.1-2.mga3
+ Revision: 359771
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 1.7.1-1.mga3
+ Revision: 292675
- New version

* Tue Jul 10 2012 dmorgan <dmorgan> 1.5-2.mga3
+ Revision: 269145
- Migration to plexus-containers-component-metadata

* Fri Jan 06 2012 dmorgan <dmorgan> 1.5-1.mga2
+ Revision: 192178
- New version 1.5

* Wed Jul 20 2011 dmorgan <dmorgan> 1.4-5.mga2
+ Revision: 127428
- Build with maven 3.x.
    - Use upstream source.
    - Guidelines fixes.

* Thu Apr 28 2011 dmorgan <dmorgan> 1.4-4.mga1
+ Revision: 92726
- Rebuild after bootstrapping
- imported package maven-shade-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 26 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.4-2
- Add jdependency also to Requires

* Thu Oct 14 2010 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.4-1
- Update to 1.4
- Add BR on jdependency >= 0.6
- Add patch to add dependency on maven-artifact-manager

* Thu Jul  8 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.3.3-2
- Replace plexus utils jar with symlink
- Create MAVEN_REPO_LOCAL dir before calling maven

* Tue Jun 22 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.3.3-1
- Initial package
